ByteDance: Seedance 2.5 (Real Human Reference to Video) API Reference

About

Dreamina Seedance 2.5 generates video from up to 50 multimodal references images, video, audio, and style inputs, locking a character, set, and palette across a full 30-second take for production-grade consistency.

1. Files

Infron provide a convenient file storage that allows you to upload files and use them in your requests. You can upload files and use the returned assets URL in your requests.

Upload resources

Upload file with remote resource URL (only http/https supported).

curl -X POST 'https://media.onerouter.pro/v1/upload/resources' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "file": "https://example.com/person-side.png"
  }'

Or upload file with local file stream.

curl -X POST 'https://media.onerouter.pro/v1/upload/resources' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -F 'model=bytedance/seedance-2.5/virtual-portrait-reference-to-video' \
  -F 'file=@/tmp/person-front.png;type=image/png'

The response will look like this:

{
  "code": 200,
  "data": {
    "id": 2,
    "upstream_asset_uri": "asset://asset-20260606170356-s9vrz",
    "upstream_status": "Processing",
    "asset_type": "Image",
    "description": "",
    "upload_source": "remote_url",
    "source_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260606%2Fcde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
    "gcs_url": "https://storage.googleapis.com/infron_gcs/image%2Fmodel-assets%2Fseedance%2F13%2F20260606%2Fb97f550f-7309-41ba-b7a4-585bb43d97e9.jpg",
    "file_name": "cde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
    "content_type": "image/jpeg",
    "file_ext": ".jpg",
    "file_size_bytes": 39383,
    "sha256_hash": "e7d916a106671814609f2ecb3b57ae1afd048df21a8c7c131f4035918cef2cdc",
    "status": "processing",
    "last_polled_at": "2026-06-06T09:03:55.754111989Z",
    "created_at": "2026-06-06T09:03:55.755Z",
    "updated_at": "2026-06-06T09:03:55.755Z"
  },
  "message": "success"
}

Real-life portrait footage needs to be authorized, uploaded, and undergo a consistency check before it can be made usable.

Check resource status

curl 'https://media.onerouter.pro/v1/status/resources/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'

The {id} is data.id from the JSON response received after calling the media upload API in the previous step.

You can continuously poll this endpoint to check the review status of the asset; if the asset passes the review, the following JSON will be returned.

{
  "code": 200,
  "data": {
    "id": 2,
    "upstream_asset_uri": "asset://asset-20260606170356-s9vrz",
    "upstream_status": "Active",
    "asset_type": "Image",
    "description": "",
    "upload_source": "remote_url",
    "source_url": "https://storage.googleapis.com/infron_gcs/image%2Fplayground-inputs%2F15%2F20260606%2Fcde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
    "gcs_url": "https://storage.googleapis.com/infron_gcs/image%2Fmodel-assets%2Fseedance%2F13%2F20260606%2Fb97f550f-7309-41ba-b7a4-585bb43d97e9.jpg",
    "file_name": "cde00456-aebc-453b-a1e3-8cafebe0a457.jpg",
    "content_type": "image/jpeg",
    "file_ext": ".jpg",
    "file_size_bytes": 39383,
    "sha256_hash": "e7d916a106671814609f2ecb3b57ae1afd048df21a8c7c131f4035918cef2cdc",
    "status": "active",
    "last_polled_at": "2026-06-06T09:05:01Z",
    "active_at": "2026-06-06T09:05:01Z",
    "created_at": "2026-06-06T09:03:56Z",
    "updated_at": "2026-06-06T09:05:01Z"
  },
  "message": "success"
}

Referencing assets in model calls

curl -X POST 'https://media.onerouter.pro/v1/videos/generations' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "prompt": "Generate a 4-second video using @Image1.",
    "image_urls": [
      "asset://asset-20260606170356-s9vrz"
    ]
  }'

Read more about file handling in our file upload guide.

2. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
  "prompt": "Generate a 4-second video using @Image1. A man is running.",
  "image_urls": ["asset://asset-20260606170356-s9vrz"],
  "video_urls": [],
  "audio_urls": [],
  "aspect_ratio": "adaptive",
  "duration": "-1",
  "resolution": "720p",
  "generate_audio": true,
  "n": 1,
  "seed": 123456
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260810081904298086549I9lJrNw3",
    "object": "video",
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/20260810081904298086549I9lJrNw3"
    },
    "created_at": "2026-08-10 08:19:04.34"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/20260810081904298086549I9lJrNw3 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260810081904298086549I9lJrNw3",
    "object": "video",
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1786349944,
    "start_time": 1786349944,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-10 08:19:04"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260810081904298086549I9lJrNw3",
    "object": "video",
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786349944,
    "start_time": 1786349944,
    "finish_time": 1786350330,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_6b3df3dd-6fef-4f19-9504-b246e27a0994.mp4"
    ],
    "usage": {
      "completion_tokens": 87300,
      "duration": 4,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 0,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 87300,
      "total_tokens": 87300,
      "video_duration": 4
    },
    "cost": {
      "total_cost": 0.93411,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.93411,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-10 08:19:04"
  }
}

3. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayNo--[0,30]Image URLs to use as a reference for the generation.
video_urlsarrayNo--[0,10]Video URLs to use as a reference for the generation.
audio_urlsarrayNo--[0,10]Audio URLs to use as a reference for the generation.
aspect_ratiostringNoadaptive21:9, 16:9, 4:3, 1:1, 3:4, 9:16, adaptiveAspect ratio of the generated video
durationstringNo-1-1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30Duration of the generated video
resolutionstringNo720p480p, 720p, 1080pResolution of the generated video
generate_audiobooleanNotruetrue, falseWhether to generate audio.
nintegerNo1==1Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
  "prompt": "Generate a 4-second video using @Image1. A man is running.",
  "image_urls": ["asset://asset-20260606170356-s9vrz"],
  "video_urls": [],
  "audio_urls": [],
  "aspect_ratio": "adaptive",
  "duration": "-1",
  "resolution": "720p",
  "generate_audio": true,
  "n": 1,
  "seed": 123456
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260810081904298086549I9lJrNw3",
    "object": "video",
    "model": "bytedance/seedance-2.5/virtual-portrait-reference-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786349944,
    "start_time": 1786349944,
    "finish_time": 1786350330,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_6b3df3dd-6fef-4f19-9504-b246e27a0994.mp4"
    ],
    "usage": {
      "completion_tokens": 87300,
      "duration": 4,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 0,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 87300,
      "total_tokens": 87300,
      "video_duration": 4
    },
    "cost": {
      "total_cost": 0.93411,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.93411,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-10 08:19:04"
  }
}

4. Detailed Pricing

ResolutionApprox. Price
720p with audio~$0.231 / second
480p with audio~$0.103 / second
GenerationTokensCost
5s at 720p 16:9~108,000~$1.16
10s at 720p 16:9~216,000~$2.31
30s at 720p 16:9~648,000~$6.93
5s at 480p 16:9~48,000~$0.51
10s at 480p 16:9~96,000~$1.03
30s at 480p 16:9~288,000~$3.08